#include<iostream>
#include<cmath>
using namespace std;

int main()
{
    long long x,y,z,brojcifarax=0,x1,y1,z1,brojcifaray=0,brojcifaraz=0,najvecibrojcifara,broj,a,b,c,brojcifaraA,brojcifaraB,brojcifaraC;
    cin>>x>>y>>z;
    x1=x;
    y1=y;
    z1=z;
    a=x;
    b=y;
    c=z;
    for(;x>0;brojcifarax++)
    {
        x=x/10;
    }
    najvecibrojcifara=brojcifarax;
    for(;y>0;brojcifaray++)
    {
        y=y/10;
    }
    if(najvecibrojcifara<=brojcifaray)najvecibrojcifara=brojcifaray;
    for(;z>0;brojcifaraz++)
    {
        z=z/10;
    }
    if(najvecibrojcifara<=brojcifaraz)najvecibrojcifara=brojcifaraz;
    brojcifaraA=brojcifarax;
    brojcifaraB=brojcifaray;
    brojcifaraC=brojcifaraz;
    for(;brojcifarax<najvecibrojcifara;brojcifarax++)
    {
        x1=x1*10;
    }
    for(;brojcifaray<najvecibrojcifara;brojcifaray++)
    {
        y1=y1*10;
    }
    for(;brojcifaraz<najvecibrojcifara;brojcifaraz++)
    {
        z1=z1*10;
    }
    if(x1>=y1&&x1>=z1)
    {
        if(y1>=z1)
        {
            broj=a*pow(10,brojcifaraB+brojcifaraC)+b*pow(10,brojcifaraC)+c;
        }
        else
        {
            broj=a*pow(10,brojcifaraB+brojcifaraC)+c*pow(10,brojcifaraB)+b;
        }
    }
    if(y1>=x1&&y1>=z1)
    {
        if(x1>=z1)
        {
            broj=b*pow(10,brojcifaraA+brojcifaraC)+a*pow(10,brojcifaraC)+c;
        }
        else
        {
            broj=b*pow(10,brojcifaraA+brojcifaraC)+c*pow(10,brojcifaraA)+a;
        }
    }
    if(z1>=y1&&z1>=x1)
    {
        if(x1>=y1)
        {
            broj=c*pow(10,brojcifaraB+brojcifaraA)+a*pow(10,brojcifaraB)+b;
        }
        else
        {
            broj=c*pow(10,brojcifaraB+brojcifaraA)+b*pow(10,brojcifaraA)+a;
        }
    }
    cout<<broj<<endl;
}